List MFA devices
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"devices": [
{
"id": "mfa_01",
"type": "totp",
"created_at": "2026-08-01T00:00:00Z"
}
]
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}List MFA devices
List MFA devices. Requires a Bearer access token for the signed-in user.
GET
/
api
/
v1
/
users
/
me
/
mfa
/
devices
List MFA devices
curl --request GET \
--url https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices \
--header 'Authorization: Bearer <token>'import Foundation
let url = URL(string: "https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices")!
var request = URLRequest(url: url)
request.httpMethod = "GET"
request.timeoutInterval = 10
request.allHTTPHeaderFields = ["Authorization": "Bearer <token>"]
let (data, _) = try await URLSession.shared.data(for: request)
print(String(decoding: data, as: UTF8.self))const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://prod-auth.tktchurch.com/api/v1/users/me/mfa/devices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"devices": [
{
"id": "mfa_01",
"type": "totp",
"created_at": "2026-08-01T00:00:00Z"
}
]
}{
"error": "invalid_token",
"error_description": "Access token is invalid or malformed"
}